## com.thingmagic
Class Gen2

    java.lang.Object
      com.thingmagic.Gen2

    public class Gen2

extends java.lang.Object

This class is a namespace for Gen2-specific subclasses of generic Mercury API classes, Gen2 data structures, constants, and Gen2 convenience functions.

Nested Class Summary
`static class` `Gen2.Alien`
`static class` `Gen2.Authenticate` Authenticate
`static class` `Gen2.Bank` Gen2 memory banks
`static class` `Gen2.Bap`
`static class` `Gen2.BlockErase` Block Erase
`static class` `Gen2.BlockPermaLock` Block PermaLock
`static class` `Gen2.BlockWrite` Block Write
`static class` `Gen2.Denatran`
`static class` `Gen2.DivideRatio` Divide Ratio values
`static class` `Gen2.DynamicQ` Dynamic Q algorithm
`static class` `Gen2.Gen2_SiliconType`
`static class` `Gen2.Gen2CustomTagOp`
`static class` `Gen2.IDS`
`static class` `Gen2.Impinj`
`static class` `Gen2.Kill` Embedded Tag operation : Kill
`static class` `Gen2.LinkFrequency`
`static class` `Gen2.Lock` Embedded Tag operation : Lock
`static class` `Gen2.LockAction` The arguments to a Reader.lockTag() method for Gen2 tags.
`class` `Gen2.LockBits` Individual Gen2 lock bits.
`static class` `Gen2.NXP`
`static class` `Gen2.Password` Stores a 32-bit Gen2 password for use as an access or kill password.
`static class` `Gen2.ProtocolExtension` Protocol extension
`static class` `Gen2.Q` Algorithm choices for Q - superclass
`static class` `Gen2.ReadBuffer` ReadBuffer
`static class` `Gen2.ReadData` Embedded Tag operation : Read Data
`static class` `Gen2.SecurePasswordLookup`
`static class` `Gen2.SecureReadData`
`static class` `Gen2.SecureTagType`
`static class` `Gen2.Select` Representation of a Gen2 Select operation
`static class` `Gen2.Session` Gen2 session values
`static class` `Gen2.StaticQ` Static initial Q algorithm
`static class` `Gen2.TagData` This class extends `TagData` to represent the details of a Gen2 RFID tag.
`static class` `Gen2.TagEncoding` Miller M values
`static class` `Gen2.TagReadData` A class to represent the gen2 specific data from tag response containing parameters like q, target and link frequency.
`static class` `Gen2.Target` Target algorithm options
`static class` `Gen2.Tari`
`static class` `Gen2.TrExt` TRext
`static class` `Gen2.Untraceable` Untraceable
`static class` `Gen2.WriteData` Embedded Tag operation : Write Data
`static class` `Gen2.WriteMode` Mode for write operation
`static class` `Gen2.WriteTag` Write a new id to a tag

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`